KPat
6
2010-11-09
kdegames
&kde;-Benutzerhandbuch

# &kappname;

Ein süchtig machendes &kde;-Kartenspiel.

    kpat Qt-Option KDE-Option --solvegame  datei --solve  num --start  num --end  num --gametype  spiel

## Beschreibung

&kpatience; besteht aus einer Zusammenstellung von 12 verschiedenen Patiencen, unter anderem die bekannten Klondike und Freecell sowie die weniger bekannten Großvaters Uhr und Mod3.

## Optionen

Das Programm folgt den GNU-Konventionen für Befehlszeilenoptionen, lange Optionen beginnen dabei mit zwei Bindestrichen (`--'). Eine Zusammenstellung der von `kpat` unterstützten Optionen befindet sich weiter unten.

### Allgemeine Optionen

`--author`

  Zeigt Informationen über den Autor

`--help`

  Zeigt eine Hilfe zu den Optionen

`--help-qt`

  Spezielle Optionen für Qt anzeigen

`--help-kde`

  Zeigt die &kde;-spezifischen Optionen

`--help-all`

  Alle Optionen anzeigen

`--license`

  Zeigt Lizenzinformationen

`-v`, `--version`

  Zeigt Versionsinformationen an und beendet sich danach wieder.

### Qt-Optionen

`--display Anzeigename`

  Verwendet die X-Server-Anzeige Anzeigename.

`--session Sitzungs-Id`

  Stellt den Zustand der Anwendung für die genannte Sitzungs-Id wieder her.

`--cmap`

  Veranlasst die Anwendung ein eigenes Farbschema auf einer 8-Bit-Anzeige darzustellen.

`--ncols Anzahl`

  Begrenzt die Anzahl der erzeugten Farben des Farbwürfels bei einer 8-Bit-Anzeige, falls die Anwendung die Farbspezifikation `QApplication::ManyColor` verwendet.

`--nograb`

  verhindert, dass Qt die Maus oder die Tastatur einfängt.

`--dograb`

  Der Einsatz eines Debugger kann implizit die Option `-nograb` aktivieren, die Option `-dograb` dient zur Übersteuerung.

`--sync`

  Schaltet zum Debuggen in den synchronen Modus um.

`--fn`, `--font Zeichensatz`

  Legt den Anwendungszeichensatz fest.

`--bg`, `--background Farbe`

  Legt die Standard-Hintergrundfarbe und die Farbpalette (helle und dunkle Schatten werden berechnet) fest.

`--fg`,`--foreground Farbe`

  Legt die Standardvordergrundfarbe fest.

`--btn`, `--button Farbe`

  Legt die Standard-Knopf-Farbe fest.

`--name Name`

  Legt den Namen der Anwendung fest.

`--title Titel`

  Legt den Titel der Anwendung fest (Fenstertitel).

`--visual TrueColor`

  Schaltet die Anwendung auf einer 8-Bit-Anzeige um auf eine TrueColor-Anzeige.

`--inputstyle`

  Legt den XIM (X Input Method) fest. Mögliche Werte sind onthespot, overthespot, offthespot und root.

`--im XIM-Server`

  Legt den XIM-Server fest.

`--noxim`

  XIM deaktivieren.

`--reverse`

  Ordnet sämtliche Bedienelemente spiegelverkehrt an.

`--stylesheet file.qss`

  Wendet die Qt-Stilvorlage auf Anwendungs-Dialoge an.

`--graphicssystem system`

  Verwendet ein anderes Grafiksystem anstelle der Voreinstellung. Zur Verfügung stehen „raster“ und „opengl“ (experimentell)..

### KDE-Optionen

`--caption Überschrift`

  Verwendet Überschrift als Name in der Titelleiste.

`--icon Symbol`

  Verwendet Symbol als Anwendungssymbol.

`--config filename`

  Andere Einrichtungsdatei verwenden.

`--nocrashhandler`

  Absturzprogramm deaktivieren, zur Erzeugung von core dumps.

`--waitforwm`

  Wartet auf einen WM_NET-kompatiblen Fenstermanager.

`--style Stil`

  Legt den &GUI;-Stil der Anwendung fest.

`--geometry Größe`

  Legt die Geometrie des Hauptelements im Client-Programm fest. Das Format für die Argumente finden Sie mit man X (normalerweise BreitexHöhe+XPos+YPos).

### Optionen

`--solvegame` datei

  Lösung für das angegebene gespeicherte Spiel suchen

`--solve` num

  Zu lösende Spielart (Debug)

`--start` num

  Anfang des Spielbereichs (Standard 0:INT_MAX)

`--end` num

  Ende des Spielbereichs (Standard 0:INT_MAX)

`--gametype` spiel

  Überspringt den Auswahlbildschirm und startet die gewünschte Spielart direkt. Folgende Spielarten sind verfügbar: acesup, fortyeight, freecell, golf, grandfather, grandfathersclock, gypsy, klondike, mod3, simplesimon, spider, yukon.

### Argumente

file

  Zu ladende Datei

## Siehe auch

&kpatience; wird detailliert beschrieben im Handbuch zu &kpatience; (unter `$`KDEDIR`/share/doc/HTML/de/kpat/index.html` oder durch Eingabe von `help:/kpat/index.html` in &konqueror;).

## Autor

&kpatience; stammt von:

- Paul Olav Tvete
- Mario Weilguni mweilguni@kde.org
- Matthias Ettrich ettrich@kde.org
- Rodolfo Borges barrett@labma.ufrj.br
- Peter H. Ruegg kpat@incense.org
- Michael Koch koch@kde.org
- Marcus Meissner mm@caldera.de
- Shlomi Fish shlomif@vipe.technion.ac.il
- Stephan Kulow coolo@kde.org